conf = {
	slider_topleft_slide: '.item', // класс объекта в левом слайдере на главной
	slider_topright_slide: '.item', // класс объекта в правом слайдере на главной
	slider_topright_dots: true, // включить (true) или выключить (false) круглые переключатели внизу правого слайдера на главной
	slider_topright_arrows: true, // включить (true) или выключить (false) переключатели вперед-назад в правом слайдере
	prevArrow: '<button class="fa fa-angle-left"></button>', // левый переключатель слайдов в правом слайдере на главной
	nextArrow: '<button class="fa fa-angle-right"></button>', // правый переключатель слайдов в правом слайдере на главной
	
	menu_active: true, // включить (true) или выключить (false) выделение активного пункта меню с помощью jQuery
	menu_open: true, // включить (true) или выключить (false) автоматическое раскрытие меню с использованием Coockies
	timeline_bg: true, // включить (true) или выключить (false) подстановку фона при наведении на публикацию в хронике публикаций, в сайдбаре
	labels: true, // включить (true) или выключить (false) оформление всех checkbox и radio кнопок на сайте
	contents_text: true, // включить (true) или выключить (false) сбор заголовков в описании игры и составление содержания
	content_images: true, // включить (true) или выключить (false) сбор изображений в описании игры и добавление в содержание
	slow_scroll: true, // включить (true) или выключить (false) плавный скролл от содержания к заголовкам
};

var logopened=false;
var auth_window;

$(document).ready(function(){
    $('.auth').click(function(){
        if(logopened)
        {
            $('#auth').fadeOut('fast');
            $('.auth').removeClass('selected');
		}    
        else
        {
            $('#auth').fadeIn('fast');
            $('.auth').addClass('selected');
		}
        logopened=!logopened;
        return false;
	});
	}).click(function(e){
    if(!logopened)
	return;
    e=e||window.event;
    var target=e.target||e.srcElement;
    while(target)
    {
        if(target==$('#auth').get(0))
		return;
        target=target.parentNode;
	}
    $('#auth').fadeOut('fast');
    $('.auth').removeClass('selected');
    logopened=false;    
});

$(document).ready(function(){
	$('header .fa-search').click(function(){
		var search_field = $(this).parent().children('#story');
		if( search_field.val() == '' ) {
			search_field.focus();
			return false;
		}
	});
	
	if( $('#slider-top-right').length > 0 ) {
		$('#slider-top-right').slick({
			slide: conf['slider_topright_slide'],
			slidesToShow: 7,
			focusOnSelect: true,
			variableWidth: true,
			dots: conf['slider_topright_dots'],
			arrows: conf['slider_topright_arrows'],
			prevArrow: conf['prevArrow'],
			nextArrow: conf['nextArrow'],
			asNavFor: '#slider-top-left',
			swipeToSlide: true
		});
	}
	if( $('#slider-top-left').length > 0 ) {
		$('#slider-top-left').slick({
			slide: conf['slider_topleft_slide'],
			slidesToShow: 1,
			slidesToScroll: 1,
			arrows: false,
			fade: true,
			asNavFor: '#slider-top-right'
		});
	}
	
	if( conf['menu_active'] == true ) {
		$('.aside-nav .menu li').each(function(){
			var link = $(this).children('a').attr('href'),
			wLocation = window.location;
			if( link == wLocation.pathname+wLocation.search || link == wLocation.href || (wLocation.pathname+wLocation.search).substring(0,link.length) == link && link !== '/' ) $(this).addClass('active');
		})
		.click(function(){
			$('.aside-nav .menu li').removeClass('active');
			$(this).addClass('active');
		});
	}
	
	$('.header .fa-list').click(function(){
		if( $('body').hasClass('opened') ) {
			$('body').removeClass('opened');
			$.cookie('menu_opened', null, {path: '/'});
			} else {
			$('body').addClass('opened');
			$.cookie("menu_opened", "opened", {path: '/'});
		}
	});
	
	if( $.cookie('menu_opened') == 'opened' && conf['menu_open'] == true ) {
		if( !$('body').hasClass('opened') ) $('body').addClass('opened');
	}
	
	$('.item.games .image-big').mouseenter(function(){
		$(this).parents('.item').find('.about').stop(true);
		$(this).parents('.item').addClass('entered').find('.about').delay(500).fadeOut(0,function(){$(this).parents('.item').css({'padding-bottom':58})});
		$(this).parents('.item').find('.overlay-content').stop().fadeIn();
	})
	.mouseleave(function(){
		$(this).parents('.item').removeClass('entered').find('.about').fadeIn(0,function(){$(this).parents('.item').css({'padding-bottom':15})});
		$(this).parents('.item').find('.overlay-content').stop().fadeOut();
	});
	
	$('.article.short').click(function(event){
		t=event.target||event.srcElement; 
		if( !$(this).hasClass('opened') && t.tagName !== 'A' && !$(this).hasClass('process') ) {
			$('.article.short').addClass('process');
			$('.article.short.opened').children('.description').slideToggle(500,function(){
				$(this).parent().children('h3').animate({'padding':'15px 65px 5px 30px'}).parent().children('.info').animate({'padding':'5px 30px 15px'}).parent().removeClass('opened');
			});
			$(this).children('.description').slideToggle(500,function(){
				$(this).parent().children('h3').animate({'padding':'15px 65px 15px 30px'}).parent().children('.info').animate({'padding':'15px 30px'}).parent().addClass('opened',function(){
					$('.article.short').removeClass('process')
				});
			});
		} else if( $(this).hasClass('opened') && t.tagName !== 'A' ) window.location = $(this).find('h3 a').attr('href');
		$(this).children('.move').hide();
	})
	.mouseenter(function(){
		if( !$(this).hasClass('opened') ) $(this).children('.move').stop().fadeIn(50);
		else $(this).children('.move').hide();
	})
	.mouseleave(function(){
		if( !$(this).hasClass('opened') ) $(this).children('.move').stop().fadeOut('fast');
		else $(this).children('.move').hide();
	})
	.dblclick(function(){
		window.location = $(this).find('h3 a').attr('href')
	});
	
	if($('#searchtable').length>0){
		$('#searchtable table').replaceWith( $('table').html()
		.replace(/<table/gi, "<div class=\"table\"")
		.replace(/<tbody>/gi, "")
		.replace(/<tr/gi, "<div class=\"tr\"")
		.replace(/<\/tr>/gi, "</div>")
		.replace(/<td/gi, "<div class=\"td\"")
		.replace(/<\/td>/gi, "</div>")
		.replace(/<\/table>/gi, "")
		);
		if( $('#full_search').val() == 1 ) {
			$('#searchtable').fadeIn();
			$('#dofullsearch').hide();
		}
		$('#story').val($('#searchinput').val()).focus();
	}
	
	if( conf['timeline_bg'] == true ) {
		$('.timeline .item').mouseenter(function(){
			var image;
			if( $(this).data('image') ) image = $(this).data('image');
			else image = $(this).find('img').attr('src');
			if( $(this).children('.background').length == 0 ) $(this).prepend('<span class="background" style="background-image: url(\''+image+'\')"></span>');
			$(this).children('.background').stop().fadeIn(100);
		})
		.mouseleave(function(){
			$(this).children('.background').stop().fadeOut(100);
		});
	}
	
	if( conf['labels'] == true ) {
	$('.label-imult').each(function(){
		if( $(this).hasClass('label-imult') ) {
			$(this).removeClass('label-imult');
			if( $('input[name="'+$(this).attr('class')+'"]').length > 0 ) {
				if( !$('input[name="'+$(this).attr('class')+'"]').attr('id') ) $('input[name="'+$(this).attr('class')+'"]').attr({'id':$(this).attr('class')});
				$(this).replaceWith('<label for="'+$(this).attr('class')+'">'+$(this).html()+'</label>');
			}
		}
	});
	
	$('label').each(function(){
		var input;
		if( $(this).attr('for') ) input = $('#'+$(this).attr('for'));
		else if ( $(this).children('input').length == 1 ) input = $(this).children('input');
		if( input && input.attr('type') == 'radio' || input && input.attr('type') == 'checkbox' ) {
			input.hide();
			$(this).addClass(input.attr('type'));
			if( input.is(':checked') ) {
				$(this).addClass('active');
			}
		}
	})
	.mousedown(function() {
	var myid = $(this).attr('for');
	$(this).mouseup(function(event){
		switch (event.which) {
			case 1:
			var input;
			if( $(this).attr('for') ) input = $('#'+$(this).attr('for'));
			else if ( $(this).children('input').length == 1 ) input = $(this).children('input');
			if( $(this).attr('for') == myid ) {
				if( $(this).hasClass('radio') ) {
					$('label[for="'+$('input[name="'+input.attr('name')+'"]:checked').attr('id')+'"]').removeClass('active');
					input.attr({'checked':'checked'});
					$(this).addClass('active');
				} else if( input.is(':checked') ) $(this).removeClass('active');
				else $(this).addClass('active');
			}
			break;
		}
	});
	});
	}
	
	var last_depth = 1,
	contents_text = '',
	content_images = '';
	
	if( conf['contents_text'] == true ) {
	$(".wcont h1, .wcont h2, .wcont h3, .wcont h4, .wcont h5").each(function(i) {
		
		size = $(".wcont h1, .wcont h2, .wcont h3, .wcont h4, .wcont h5").length;
		
		if( size > 1 ) {
			
			if( i == 0 ) contents_text = '<ol>';
			
			i++;
			
			depth = $(this).get(0).nodeName.substring(1);
			
			if (i!==1&&depth>last_depth) contents_text += '<ol>';
			if (depth<last_depth) contents_text += '</ol>';
			
			contents_text += '<li><a href="#title'+i+'">'+$(this).html()+'</a></li>';
			
			
			$(this).attr({'id':'title'+i});
			last_depth = depth;
			
			if( size == i ) contents_text += '</ol>';
			
		}
		
	});
	}
	
	if( conf['content_images'] == true ) {
	$(".wcont a.highslide").each(function(i) {
		content_images += '<a href="'+$(this).attr('href')+'" rel="highslide" class="highslide"><img src="'+$(this).children('img').attr('src')+'"></a>';
	});
	}
	
	if( contents_text !== '' && content_images !== '' ) $('#contents_text').append('<div class="table"><div class="tr"><div class="td contents_text">'+contents_text+'</div><div class="td content_images">'+content_images+'</div></div></div>').fadeIn();
	else if( contents_text !== '' ) $('#contents_text').append(contents_text).fadeIn();
	else if( content_images !== '' ) $('#contents_text').append('<div class="table"><div class="tr"><div class="td content_images">'+content_images+'</div></div></div>').fadeIn();
	else $('#contents_text').remove();
	
	$('#addcform .fbutton, .comment .fa-quote-left').click(function(){
		if( $('#addcform table').css('display') == 'none' ) {
			$('#addcform table').show('fast');
			if( $(this).hasClass('fbutton') ) return false;
		}
	});
	
	$('.userinfo #edit').click(function(){
		if( $('#options').css('display') == 'none' ) $('#options').fadeIn('fast');
		else $('#options').fadeOut('fast');
	});
	
})

function miniprofile(a,b) {
	$("#mini-profile").dialog({
		autoOpen: !0,
		width: 255,
		resizable: !1,
		dialogClass: "mini-profile",
		buttons: {
			"Мой профиль" : function() {
				window.location.href = a;
				$(this).dialog("close");
			},
			"Выход" : function() {
				window.location.href = b;
				$(this).dialog("close");
			}
		}
	});
}

function login(r) {
	$("#login-form").dialog({
		autoOpen: !0,
		width: 255,
		resizable: !1,
		dialogClass: "auth_section",
		buttons: {
			"Вход" : function() {
				$('#login-form form').submit();
				$(this).dialog("close");
			},
			"Регистрация" : function() {
				window.location.href = r;
				$(this).dialog("close");
			}
		}
	});
}
